// clang-format off
/*
 * JavaScript for youtube full screen modal and standard modal.
 * See: http://github.com/grow/airkit/tree/master/youtubemodal
 */

document.addEventListener('DOMContentLoaded', function () {
  (function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){function removeAdd(el,classesToRemove,classesToAdd){classesToRemove.forEach(function(className){el.classList.remove(className)});classesToAdd.forEach(function(className){el.classList.add(className)})}function enable(el,className,enabled){if(enabled){el.classList.add(className)}else{el.classList.remove(className)}}module.exports={enable:enable,removeAdd:removeAdd}},{}],2:[function(require,module,exports){function createDom(tagName,opt_className){var element=document.createElement(tagName);if(opt_className){element.className=opt_className}return element}module.exports={createDom:createDom}},{}],3:[function(require,module,exports){var delegateFunctionMap=new Map;var listenerCount=new Map;function getListenerCount(listener){if(listenerCount.has(listener)){return listenerCount.get(listener)}else{return 0}}function incrementListenerCount(listener){listenerCount.set(listener,getListenerCount(listener)+1)}function decrementListenerCount(listener){listenerCount.set(listener,getListenerCount(listener)-1)}function getDelegateFunction_(listener){if(!delegateFunctionMap.has(listener)){var delegateFunction=function(e){e=e||window.event;var target=e.target||e.srcElement;target=target.nodeType===3?target.parentNode:target;do{listener(target,e);if(target.parentNode){target=target.parentNode}}while(target.parentNode)};delegateFunctionMap.set(listener,delegateFunction)}return delegateFunctionMap.get(listener)}function addDelegatedListener(el,type,listener){incrementListenerCount(listener);return el.addEventListener(type,getDelegateFunction_(listener))}function removeDelegatedListener(el,type,listener){var delegate=getDelegateFunction_(listener);decrementListenerCount(listener);if(getListenerCount(listener)<=0){delegateFunctionMap.delete(listener)}return el.removeEventListener(type,delegate)}module.exports={addDelegatedListener:addDelegatedListener,removeDelegatedListener:removeDelegatedListener}},{}],4:[function(require,module,exports){function clone(a){var result={};for(var key in a){result[key]=a[key]}return result}function merge(a,b){for(var key in b){a[key]=b[key]}}module.exports={clone:clone,merge:merge}},{}],5:[function(require,module,exports){function isMobile(){return isIOS()||isAndroid()}function isIOS(){return/iPhone|iPad|iPod/i.test(navigator.userAgent)}function isAndroid(){return/Android/i.test(navigator.userAgent)}function isChrome(){return navigator.userAgent.indexOf("Chrome")!=-1}function isSafari(){return!isChrome()&&navigator.userAgent.indexOf("Safari")!=-1}function isFirefox(){return navigator.userAgent.indexOf("Firefox")!=-1}function isIE(){return/MSIE\/\d+/.test(navigator.userAgent)}function isIEorEdge(){return/Edge\/\d+/.test(navigator.userAgent)||/MSIE\/\d+/.test(navigator.userAgent)||/Trident\/\d+/.test(navigator.userAgent)}module.exports={isAndroid:isAndroid,isChrome:isChrome,isFirefox:isFirefox,isIOS:isIOS,isIE:isIE,isIEorEdge:isIEorEdge,isMobile:isMobile,isSafari:isSafari}},{}],6:[function(require,module,exports){var classes=require("../utils/classes");var dom=require("../utils/dom");var events=require("../utils/events");var objects=require("../utils/objects");var useragent=require("../utils/useragent");var player=null;var singleton=null;var defaultConfig={useHandlerOnMobile:true,history:false,historyNamePrefix:"video:",transitionDuration:300,className:"ak-youtubemodal",parentSelector:"body",onModalOpen:null,onModalClose:null,playerVars:{autohide:1,autoplay:1,fs:1,modestbranding:1,rel:0,showinfo:0,iv_load_policy:3}};function YouTubeModal(config){this.config=config;this.parentElement=document.querySelector(this.config.parentSelector);this.closeEventListener_=this.setActive_.bind(this,false);this.popstateListener_=this.onHistoryChange_.bind(this);this.el_=null;this.closeEl_=null;this.attributionEl_=null;this.initDom_();this.lastActiveVideoId_=null;this.scrollY=0;this.delegatedListener_=function(targetEl){var data="data-"+this.config.className+"-video-id";var videoId=targetEl.getAttribute(data);var startDataAttribute="data-"+this.config.className+"-video-start-seconds";var startTime=+targetEl.getAttribute(startDataAttribute);var attributionAttribute="data-"+this.config.className+"-attribution";var attribution=targetEl.getAttribute(attributionAttribute);if(videoId){this.play(videoId,true,startTime,attribution)}}.bind(this);events.addDelegatedListener(document,"click",this.delegatedListener_);var scriptTag=document.querySelector('script[src="http://www.youtube.com/iframe_api"]');if(!scriptTag){var tag=document.createElement("script");tag.setAttribute("src","http://www.youtube.com/iframe_api");this.parentElement.appendChild(tag)}}YouTubeModal.prototype.initDom_=function(){var createDom=dom.createDom;this.el_=createDom("div",this.config.className);this.closeEl_=createDom("div",this.config.className+"-x");this.closeEl_.setAttribute("aria-label","Close video player");this.closeEl_.setAttribute("role","button");this.closeEl_.setAttribute("tabindex","0");this.attributionEl_=createDom("div",this.config.className+"-attribution");this.el_.appendChild(this.closeEl_);this.el_.appendChild(this.attributionEl_);this.el_.appendChild(createDom("div",this.config.className+"-player"));this.el_.appendChild(createDom("div",this.config.className+"-mask"));this.parentElement.appendChild(this.el_);this.closeEl_.addEventListener("click",this.closeEventListener_);if(this.config.history){window.addEventListener("popstate",this.popstateListener_)}};YouTubeModal.prototype.dispose=function(){this.closeEl_.removeEventListener("click",this.closeEventListener_);this.parentElement.removeChild(this.el_);events.removeDelegatedListener(document,"click",this.delegatedListener_);if(this.config.history){window.removeEventListener("popstate",this.popstateListener_)}};YouTubeModal.prototype.setVisible=function(enabled){if(player){window.setTimeout(function(){if(enabled){player.playVideo()}else{player.pauseVideo()}},100)}var _keyToggle=function(e){if(e.keyCode==27){this.setActive_(false);document.body.removeEventListener("keydown",_keyToggle)}}.bind(this);if(enabled){document.body.addEventListener("keydown",_keyToggle)}else{document.body.removeEventListener("keydown",_keyToggle)}var lightboxEl=document.querySelector("."+this.config.className);window.setTimeout(function(){classes.enable(lightboxEl,this.config.className+"--enabled",enabled)}.bind(this),enabled?0:this.config.transitionDuration);window.setTimeout(function(){classes.enable(lightboxEl,this.config.className+"--visible",enabled)}.bind(this),enabled?this.config.transitionDuration:0)};YouTubeModal.prototype.setActive_=function(active,opt_videoId,opt_updateState){if(opt_videoId){this.lastActiveVideoId_=opt_videoId}if(active){this.config.onModalOpen&&this.config.onModalOpen(this.lastActiveVideoId_);this.scrollY=window.pageYOffset}else{this.config.onModalClose&&this.config.onModalClose(this.lastActiveVideoId_);window.scrollTo(0,this.scrollY)}if(!this.config.history){this.setVisible(active);return}this.setVisible(active);if(opt_updateState===false){return}var videoId=opt_videoId||this.activeVideoId_;if(active){var stateId=window.history.state&&window.history.state["videoId"];if(stateId==videoId){return}window.history.pushState({videoId:videoId},"","#"+this.config.historyNamePrefix+videoId)}else{window.history.pushState({videoId:null},"",window.location.pathname)}};YouTubeModal.prototype.onHistoryChange_=function(e){if(e.state&&e.state["videoId"]){this.play(e.state["videoId"],false)}else{this.setVisible(false)}};YouTubeModal.prototype.play=function(videoId,opt_updateState,opt_startTime,opt_attribution){var useHandler=this.config.useHandlerOnMobile&&(useragent.isIOS()||useragent.isAndroid());if(useHandler){var url="http://m.youtube.com/watch?v="+videoId;if(opt_startTime){url+="&t="+opt_startTime+"s"}window.location.href=url;return}if(opt_attribution){this.attributionEl_.textContent=opt_attribution}else{this.attributionEl_.textContent=""}this.setActive_(true,videoId,opt_updateState);if(player&&videoId==this.activeVideoId_){return}else if(player&&videoId!=this.activeVideoId_){player.loadVideoById(videoId,0,"large");this.activeVideoId_=videoId;return}var playerEl=document.querySelector("."+this.config.className+"-player");var playerVars=objects.clone(this.config.playerVars);if(opt_startTime){playerVars["start"]=opt_startTime}var options={videoId:videoId,playerVars:playerVars};player=new YT.Player(playerEl,options);this.activeVideoId_=videoId};function init(opt_config){if(singleton){return}var config=objects.clone(defaultConfig);if(opt_config){objects.merge(config,opt_config)}singleton=new YouTubeModal(config)}function dispose(){if(!singleton){return}singleton.dispose();singleton=null;if(player){player.destroy();player=null}}function play(videoId){if(!singleton){throw"youtubemodal.init must be run first."}return singleton.play(videoId)}window["youtubemodal"]={dispose:dispose,init:init,play:play}},{"../utils/classes":1,"../utils/dom":2,"../utils/events":3,"../utils/objects":4,"../utils/useragent":5}]},{},[6]);

  youtubemodal.init({
    useHandlerOnMobile: false,
    className: 'gsi-youtubemodal',
  });

  document.addEventListener('mannequinImpendingNavigation', function () {
    youtubemodal.dispose();
  }, {
    once: true,
  });
});

(function(){function r(e,n,t){function o(i,f){if(!n[i]){if(!e[i]){var c="function"==typeof require&&require;if(!f&&c)return c(i,!0);if(u)return u(i,!0);var a=new Error("Cannot find module '"+i+"'");throw a.code="MODULE_NOT_FOUND",a}var p=n[i]={exports:{}};e[i][0].call(p.exports,function(r){var n=e[i][1][r];return o(n||r)},p,p.exports,r,e,n,t)}return n[i].exports}for(var u="function"==typeof require&&require,i=0;i<t.length;i++)o(t[i]);return o}return r})()({1:[function(require,module,exports){var classes=require("../utils/classes");var dom=require("../utils/dom");var events=require("../utils/events");var objects=require("../utils/objects");var ui=require("../ui");var useragent=require("../utils/useragent");var modalInstance=null;var defaultConfig={addCloseButtonToDocument:false,className:"ak-modal",history:true,historyNamePrefix:"",transitionDuration:300,visibilityDuration:0,onModalOpen:null,onModalClose:null};function Modal(config){this.config=config;this.timers_=[];this.scrollY=0;this.initDom_();var closeAttribute="data-"+this.config.className+"-x";var closeClass=this.config.className+"-x";var data="data-"+this.config.className+"-id";var func=function(targetEl,e){var modalId=targetEl.getAttribute(data);if(modalId){e.preventDefault();this.setActive_(true,modalId)}if(targetEl.classList.contains(closeClass)||targetEl.hasAttribute(closeAttribute)){this.setActive_(false)}}.bind(this);events.addDelegatedListener(document,"click",func);this.initStateFromHash_()}Modal.prototype.hideModalElements_=function(){var attrName=this.config.className;var selector="[data-"+attrName+"]";var rules={};rules[selector]={display:"none !important"};ui.createStyle(rules)};Modal.prototype.getFirstHash_=function(hash){if(hash.includes("#")){hash=hash.split("#")[0]}return hash};Modal.prototype.initStateFromHash_=function(){var idFromHash=this.getFirstHash_(window.location.hash.substr(1));if(this.isValidModalId_(idFromHash)){this.setActive_(true,idFromHash,false)}};Modal.prototype.isValidModalId_=function(modalId){var modalEls=document.querySelectorAll("[data-"+this.config.className+"]");var valid=false;[].forEach.call(modalEls,function(el){var elModalId=el.getAttribute("data-"+this.config.className);if(elModalId==modalId){valid=true}}.bind(this));return valid};Modal.prototype.initDom_=function(){var createDom=dom.createDom;var el=createDom("div",this.config.className);var closeEl=createDom("div",this.config.className+"-x");closeEl.setAttribute("aria-label","Close");closeEl.setAttribute("role","button");closeEl.setAttribute("tabindex","0");if(this.config.addCloseButtonToDocument){document.documentElement.appendChild(closeEl)}else{el.appendChild(closeEl)}el.appendChild(createDom("div",this.config.className+"-mask"));var contentContainerEl=createDom("div",this.config.className+"-content");el.appendChild(contentContainerEl);document.body.appendChild(el);this.contentContainerEl=contentContainerEl;if(this.config.history){window.addEventListener("popstate",this.onHistoryChange_.bind(this))}};Modal.prototype.setVisible=function(enabled){var _keyToggle=function(e){if(e.keyCode==27){this.setActive_(false);document.body.removeEventListener("keydown",_keyToggle)}}.bind(this);if(enabled){document.body.addEventListener("keydown",_keyToggle)}else{document.body.removeEventListener("keydown",_keyToggle)}var lightboxEl=document.querySelector("."+this.config.className);var enterClass=this.config.className+"--enter";var exitClass=this.config.className+"--exit";window.setTimeout(function(){if(enabled){lightboxEl.classList.remove(exitClass);lightboxEl.classList.add(enterClass);this.scrollY=window.pageYOffset}else{lightboxEl.classList.remove(enterClass);lightboxEl.classList.add(exitClass);window.scrollTo(0,this.scrollY)}},0);var enableTimer=window.setTimeout(function(){classes.enable(lightboxEl,this.config.className+"--enabled",enabled)}.bind(this),enabled?0:this.config.transitionDuration);this.timers_.push(enableTimer);var visibleTimer=window.setTimeout(function(){classes.enable(lightboxEl,this.config.className+"--visible",enabled)}.bind(this),enabled?this.config.visibilityDuration||this.config.transitionDuration:0);this.timers_.push(visibleTimer)};Modal.prototype.setActive_=function(active,opt_modalId,opt_updateState){var activeAttr="data-"+this.config.className+"-active-id";this.clearTimers_();if(active){this.returnContentToOrigin_();if(this.contentContainerEl.firstChild){var activeId=this.contentContainerEl.getAttribute(activeAttr);this.contentContainerEl.removeAttribute(activeAttr);var originalContainer=document.querySelector("[data-"+this.config.className+'="'+activeId+'"]');if(originalContainer){originalContainer.appendChild(this.contentContainerEl.firstChild)}}var containerEl=document.querySelector("[data-"+this.config.className+'="'+opt_modalId+'"]');var contentEl=containerEl.querySelector("div");this.contentContainerEl.setAttribute(activeAttr,opt_modalId);contentEl&&this.contentContainerEl.appendChild(contentEl);this.config.onModalOpen&&this.config.onModalOpen(opt_modalId,this)}else{this.config.onModalClose&&this.config.onModalClose(activeId,this)}this.setVisible(active);if(!this.config.history||opt_updateState===false){return}this.activeModalId_=opt_modalId;var akModalId=opt_modalId||this.activeModalId_;if(active){var stateId=window.history.state&&window.history.state["akModalId"];if(stateId==akModalId){return}window.history.pushState({akModalId:akModalId},"","#"+this.config.historyNamePrefix+akModalId)}else{window.history.pushState({akModalId:null},"",window.location.pathname)}};Modal.prototype.returnContentToOrigin_=function(){if(!this.contentContainerEl){return}var activeAttr="data-"+this.config.className+"-active-id";var activeId=this.contentContainerEl.getAttribute(activeAttr);this.contentContainerEl.removeAttribute(activeAttr);var originalContainer=document.querySelector("[data-"+this.config.className+'="'+activeId+'"]');if(originalContainer){var currentContentEl=this.contentContainerEl.querySelector("div");currentContentEl&&originalContainer.appendChild(currentContentEl)}};Modal.prototype.clearTimers_=function(){this.timers_.forEach(function(timer){window.clearTimeout(timer)});this.timers_=[]};Modal.prototype.onHistoryChange_=function(e){var activeId=e.state&&e.state["akModalId"];var idFromHash=window.location.hash.substr(1);if(!activeId&&this.isValidModalId_(idFromHash)){activeId=idFromHash}this.setActive_(Boolean(activeId),activeId,false)};function init(opt_config){if(modalInstance){return}var config=objects.clone(defaultConfig);if(opt_config){objects.merge(config,opt_config)}modalInstance=new Modal(config)}function openById(id){modalInstance&&modalInstance.setActive_(true,id,true)}function close(){modalInstance&&modalInstance.setActive_(false,null,true)}window["akmodal"]={init:init,openById:openById,close:close,Modal:Modal}},{"../ui":2,"../utils/classes":3,"../utils/dom":4,"../utils/events":5,"../utils/objects":6,"../utils/useragent":7}],2:[function(require,module,exports){function createStyle(rules,opt_mediaQuery){var content=[];for(var selector in rules){if(!rules.hasOwnProperty(selector)){continue}var declarations=rules[selector];var declarationsToAdd=[];for(var key in declarations){if(!declarations.hasOwnProperty(key)){continue}var value=declarations[key];declarationsToAdd.push(key+":"+value)}content.push(selector+"{"+declarationsToAdd.join(";")+"}")}content=content.join("");var styleEl=document.createElement("style");if(opt_mediaQuery){content="@media "+opt_mediaQuery+" {"+content+"}"}styleEl.textContent=content;document.head.appendChild(styleEl);return styleEl}function isElementInView(el,opt_offset,opt_fromTop){var rect=el.getBoundingClientRect();var root=document.documentElement;var height=rect.bottom-rect.top;var offset=0;if(opt_offset){offset=height*opt_offset}if(opt_fromTop!==true){var result=rect.top+offset>=0||rect.bottom-offset<=(window.innerHeight||root.clientHeight);return result&&rect.left>=0&&rect.right<=(window.innerWidth||root.clientWidth)}else{var viewport={top:window.scrollTop,left:window.scrollLeft,right:window.scrollTop+window.innerWidth||root.clientWidth,bottom:window.scrollTop+window.innerHeight||root.clientHeight};return!(viewport.right<rect.left||viewport.left>rect.right||viewport.bottom<rect.top||viewport.top>rect.bottom)}return result}module.exports={createStyle:createStyle,isElementInView:isElementInView}},{}],3:[function(require,module,exports){function removeAdd(el,classesToRemove,classesToAdd){classesToRemove.forEach(function(className){el.classList.remove(className)});classesToAdd.forEach(function(className){el.classList.add(className)})}function enable(el,className,enabled){if(enabled){el.classList.add(className)}else{el.classList.remove(className)}}module.exports={enable:enable,removeAdd:removeAdd}},{}],4:[function(require,module,exports){function createDom(tagName,opt_className){var element=document.createElement(tagName);if(opt_className){element.className=opt_className}return element}module.exports={createDom:createDom}},{}],5:[function(require,module,exports){var delegateFunctionMap=new Map;var listenerCount=new Map;function getListenerCount(listener){if(listenerCount.has(listener)){return listenerCount.get(listener)}else{return 0}}function incrementListenerCount(listener){listenerCount.set(listener,getListenerCount(listener)+1)}function decrementListenerCount(listener){listenerCount.set(listener,getListenerCount(listener)-1)}function getDelegateFunction_(listener){if(!delegateFunctionMap.has(listener)){var delegateFunction=function(e){e=e||window.event;var target=e.target||e.srcElement;target=target.nodeType===3?target.parentNode:target;do{listener(target,e);if(target.parentNode){target=target.parentNode}}while(target.parentNode)};delegateFunctionMap.set(listener,delegateFunction)}return delegateFunctionMap.get(listener)}function addDelegatedListener(el,type,listener){incrementListenerCount(listener);return el.addEventListener(type,getDelegateFunction_(listener))}function removeDelegatedListener(el,type,listener){var delegate=getDelegateFunction_(listener);decrementListenerCount(listener);if(getListenerCount(listener)<=0){delegateFunctionMap.delete(listener)}return el.removeEventListener(type,delegate)}module.exports={addDelegatedListener:addDelegatedListener,removeDelegatedListener:removeDelegatedListener}},{}],6:[function(require,module,exports){function clone(a){var result={};for(var key in a){result[key]=a[key]}return result}function merge(a,b){for(var key in b){a[key]=b[key]}}module.exports={clone:clone,merge:merge}},{}],7:[function(require,module,exports){function isMobile(){return isIOS()||isAndroid()}function isIOS(){return/iPhone|iPad|iPod/i.test(navigator.userAgent)}function isAndroid(){return/Android/i.test(navigator.userAgent)}function isChrome(){return navigator.userAgent.indexOf("Chrome")!=-1}function isSafari(){return!isChrome()&&navigator.userAgent.indexOf("Safari")!=-1}function isFirefox(){return navigator.userAgent.indexOf("Firefox")!=-1}function isIE(){return/MSIE\/\d+/.test(navigator.userAgent)}function isIEorEdge(){return/Edge\/\d+/.test(navigator.userAgent)||/MSIE\/\d+/.test(navigator.userAgent)||/Trident\/\d+/.test(navigator.userAgent)}module.exports={isAndroid:isAndroid,isChrome:isChrome,isFirefox:isFirefox,isIOS:isIOS,isIE:isIE,isIEorEdge:isIEorEdge,isMobile:isMobile,isSafari:isSafari}},{}]},{},[1]);

// clang-format on
(function setupGsiModals() {
  let lastFocus;
  let outsideParts;
  let allNodes;
  let modalOpen = false;

  /**
   * confine the user’s focus to the modal window
   * @param {!Event} event
   * @param {!HTMLElement} modalEl
   */
  function focusRestrict(event, modalEl) {
    // set timeout prevents the main page from holding on to browser focus
    // for extra elements.
    window.setTimeout(function() {
      if (modalOpen && !modalEl.contains(event.target)) {
        event.stopPropagation();
        window.WombatAccessibilityHelpers.setVoiceOverFocus(modalEl);
      }
    }, 500);
  }

  akmodal.init({
    history: false,
    className: 'gsi-modal',
    onModalOpen: function(gsiModalActiveId, Modal) {
      'use strict';
      const modalEl = Modal.contentContainerEl.parentElement;
      const closeBtn = modalEl.querySelector('.gsi-modal-x');
      const mask = modalEl.querySelector('.gsi-modal-mask');

      // Remove all other content from screenreader/virtual focus
      outsideParts = document.querySelectorAll('.body-part');
      outsideParts.forEach(part => {
        part.setAttribute('aria-hidden', true);
      });

      // restrict tab focus to elements only inside modal window
      allNodes = document.querySelectorAll('*');
      for (let i = 0; i < allNodes.length; i++) {
        allNodes.item(i).addEventListener('focus', (event) => focusRestrict(event, modalEl));
      }

      Modal.config._closeModalHandler = () => {
        closeBtn.click();
      };
      modalEl.setAttribute('data-active-modal', gsiModalActiveId);
      mask.addEventListener('click', Modal.config._closeModalHandler);
      // aria attributes
      modalEl.setAttribute('role', 'dialog');
      modalEl.setAttribute('aria-modal', 'true');

      document.dispatchEvent(new CustomEvent(
          'gsiModalOpen',
          {detail: {Modal, modalEl, closeBtn, modalName: gsiModalActiveId}}));

      var iframes = document.querySelectorAll(
          '.gsi-modal-content[data-gsi-modal-active-id="' + gsiModalActiveId +
          '"] iframe');
      iframes.forEach(function(iframe) {
        if (iframe.dataset.src) {
          iframe.src = iframe.dataset.src;
        }
      });

      var gsiModals = document.querySelectorAll('.gsi-modal');
      gsiModals.forEach(function(gsiModal) {
        gsiModal.style.display = '';
      });

      const gsiContentEl = modalEl.querySelector('.gsi-modal-content div');
      if (gsiContentEl) {
        const gsiContent = gsiContentEl.textContent;
        if (gsiContent) {
          // Set aria label to the first 3 words from the dialog content
          // If we don't set an aria label, then vo screenreader makes up its
          // own aria label that includes text found in the dialog.  For terms
          // dialogs, it picks up "close" plus the entire string for the terms
          // and prepends it to the word dialog.
          modalEl.setAttribute(
              'aria-label', gsiContent.split(' ').splice(0, 3).join(' '));
        }
      }

      modalOpen = true;
      lastFocus = document.activeElement;
      lastFocus.blur();
      lastFocus.setAttribute('focusable', 'false');
      window.WombatAccessibilityHelpers.setVoiceOverFocus(modalEl);
    },
    onModalClose: function(gsiModalId, Modal) {
      'use strict';
      const modalEl = Modal.contentContainerEl.parentElement;
      const mask = modalEl.querySelector('.gsi-modal-mask');
      const modalName = modalEl.getAttribute('data-active-modal');

      modalEl.removeAttribute('data-active-modal');
      mask.removeEventListener('click', Modal.config._closeModalHandler);

      document.dispatchEvent(new CustomEvent(
          'gsiModalClose', {detail: {Modal, modalEl, modalName}}));

      document.dispatchEvent(new Event('gsiModalClose'));

      var iframes = document.querySelectorAll(
          '[data-gsi-modal="' + gsiModalId + '"] iframe');
      iframes.forEach(function(iframe) {
        if (iframe.dataset.src) {
          iframe.src = '';
          var frameDoc =
              iframe.contentDocument || iframe.contentWindow.document;
          frameDoc.documentElement.textContent = '';
        }
      });

      var gsiModals = document.querySelectorAll('.gsi-modal');
      gsiModals.forEach(function(gsiModal) {
        // hide the modal just in case the user navigates to a page without the
        // airkit modal styles.
        gsiModal.style.display = 'none';
      });

      // Restore virtual focus to rest of the page.
      outsideParts.forEach(part => {
        part.removeAttribute('aria-hidden');
      });

      // Restore tab focus to the page
      for (let i = 0; i < allNodes.length; i++) {
        allNodes.item(i).removeEventListener('focus', focusRestrict);
      }

      modalEl.removeAttribute('tabindex');
      modalOpen = false;
      lastFocus.setAttribute('focusable', 'true');
      window.WombatAccessibilityHelpers.setVoiceOverFocus(lastFocus);
    },
  });
})();
