
'use strict';

/**
 * Setup modal configuration for modalizing an existing section on the page
 * @param {!HTMLElement} scopeElement is the element of scope that is passed
 *     into this class
 */
window.TemplateModalizer = function(scopeElement) {
  const modalBody = scopeElement.querySelector('.gs-modal-body');
  const targetModuleNames = scopeElement.getAttribute('data-target-name');

  const appendModuleToModal = targetModuleName => {
    const targetModule = document.querySelector(
        `[data-tracking-module-name="${targetModuleName}"]`);
    const pageModule = targetModule.closest('.page-module');
    modalBody.append(pageModule);
  };

  this.init = () => {
    targetModuleNames.split(',').forEach(appendModuleToModal);
  };

  this.init();
};
